part of study_report;

class StudyReportPage extends StatefulWidget {
  const StudyReportPage({Key? key}) : super(key: key);

  @override
  State<StudyReportPage> createState() => _StudyReportPageState();
}

class _StudyReportPageState extends State<StudyReportPage> {


  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        centerTitle: true,
        title: const Text('学习报告'),
      ),
      body: Container(
        margin: EdgeInsets.only(left: 10.w,top: 10.w,bottom: 10.w,right: 10.w),
        child: SingleChildScrollView(
          child: Column(
            children: [
              BuildCard(),
              // Container(
              //   // height: 210,
              //   // width: 355,
              //   // color: Colors.cyan,
              //   child: Image.asset(
              //     'assets/images/report_bg.png',
              //   ),
              // ),
              Gaps.vGaps10,
              Row(
                children: [
                  Expanded(
                    child: Column(
                      children: [
                        Container(
                          padding: EdgeInsets.only(left: 15.w,top: 15.w,bottom: 15.w),
                          decoration: BoxDecoration(
                            borderRadius: BorderRadius.circular(8.w),
                            color: Colors.yellow,
                            boxShadow:  [
                              BoxShadow(
                                color: Colours.cC7.withOpacity(0.5),
                                offset: Offset(1, 3.w),
                                blurRadius: 10.w,
                                spreadRadius: 0,
                              ),
                            ],
                          ),
                          height: 220.w,
                          child: Column(
                            children: [
                              Row(
                                children: [
                                  Container(
                                    width: 26.w,
                                    height: 26.w,
                                    color: Colors.cyan,
                                  ),
                                  Gaps.hGaps10,
                                  Text('笔记',style: TextStyle(fontSize: 16.w,height: 1.3,color: Colours.c3,fontWeight: Fonts.medium),)

                                ],
                              )
                            ],
                          ),
                        ),
                        Gaps.vGaps10,
                        Container(
                          padding: EdgeInsets.only(left: 15.w,top: 15.w,bottom: 15.w),
                          decoration: BoxDecoration(
                            borderRadius: BorderRadius.circular(8.w),
                            color: Colors.red,
                            boxShadow:  [
                              BoxShadow(
                                color: Colours.cC7.withOpacity(0.5),
                                offset: Offset(1, 3.w),
                                blurRadius: 10.w,
                                spreadRadius: 0,
                              ),
                            ],
                          ),
                          height: 110.w,
                          child: Column(
                            children: [
                              Row(
                                children: [
                                  Container(
                                    width: 26.w,
                                    height: 26.w,
                                    color: Colors.cyan,
                                  ),
                                  Gaps.hGaps10,
                                  Text('距离连续学习',style: TextStyle(fontSize: 16.w,height: 1.3,color: Colours.c3,fontWeight: Fonts.medium),)

                                ],
                              )
                            ],
                          ),
                        )
                      ],
                    ),
                  ),
                  Gaps.hGaps10,
                  Expanded(
                    child: Container(// color: Colors.limeAccent,
                      child: Column(
                        children: [
                          Container(
                            padding: EdgeInsets.only(left: 15.w,top: 15.w,bottom: 15.w),
                            height: 165,
                            decoration: BoxDecoration(
                              borderRadius: BorderRadius.circular(8.w),
                              color: Colors.cyan,
                              boxShadow:  [
                                BoxShadow(
                                  color: Colours.cC7.withOpacity(0.5),
                                  offset:  Offset(1, 3.w),
                                  blurRadius: 10.w,
                                  spreadRadius: 0,
                                ),
                              ],
                            ),
                            child: Column(
                              children: [
                                Row(
                                  children: [
                                    Container(
                                      width: 26.w,
                                      height: 26.w,
                                      color: Colors.cyan,
                                    ),
                                    Gaps.hGaps10,
                                    Text('知识测评',style: TextStyle(fontSize: 16.w,height: 1.3,color: Colours.c3,fontWeight: Fonts.medium),)

                                  ],
                                )
                              ],
                            ),
                          ),
                          Gaps.vGaps10,
                          Container(
                            padding: EdgeInsets.only(left: 15.w,top: 15.w,bottom: 15.w),
                            decoration: BoxDecoration(
                              borderRadius: BorderRadius.circular(8.w),
                              color: Colors.green,
                              boxShadow:  [
                                BoxShadow(
                                  color: Colours.cC7.withOpacity(0.5),
                                  offset: Offset(1, 3.w),
                                  blurRadius: 10.w,
                                  spreadRadius: 0,
                                ),
                              ],
                            ),
                            height: 165.w,
                            child: Column(
                              children: [
                                Row(
                                  children: [
                                    Container(
                                      width: 26.w,
                                      height: 26.w,
                                      color: Colors.cyan,
                                    ),
                                    Gaps.hGaps10,
                                    Text('讨论',style: TextStyle(fontSize: 16.w,height: 1.3,color: Colours.c3,fontWeight: Fonts.medium),)

                                  ],
                                )
                              ],
                            ),
                          )
                        ],
                      ),
                    ),
                  )
                ]
              )
            ],
          ),
        ),
      ),
    );
  }


}
